<?php
// seszu
// www.kazuko.pl



function plugin_init_gmap() {
	global $plugin_hooks;
	$plugin_hooks['top_header_tabs']['gmap'] = 'gmap_show_tab';
	$plugin_hooks['top_graph_header_tabs']['gmap'] = 'gmap_show_tab';
	$plugin_hooks['config_form']['gmap'] = 'gmap_config_form';
	$plugin_hooks['api_device_save']['gmap'] = 'gmap_api_device_save';
	$plugin_hooks['draw_navigation_text']['gmap'] = 'gmap_draw_navigation_text';
	$plugin_hooks['config_arrays']['gmap'] = 'gmap_config_arrays';

}




function gmap_version () {
	return array( 'name' 		=> 'Google map - Mapa nadajnikow',
			'version' 	=> '0.5.0',
			'longname'	=> 'Google map - Mapa nadajnikow',
			'author'	=> 'seszu',
			'homepage'	=> 'http://kazuko.pl',
			'email'		=> 'admin@kazuko.pl',
			'url'		=> 'http://kazuko.pl'
			);
}





function gmap_show_tab () {
	global $config;
	if (api_user_realm_auth('gmap.php')) {
		$cp = false;
		if (basename($_SERVER['PHP_SELF']) == 'gmap.php')
			$cp = true;

		print '<a href="' . $config['url_path'] . 'plugins/gmap/gmap.php"><img src="' . $config['url_path'] . 'plugins/gmap/images/tab_gmap' . ($cp ? '_down': '') . '.gif" alt="Google map - Mapa nadajnikow" title="Google map - Mapa nadajnikow" align="absmiddle" align="absmiddle" border="0"></a>';
	}
}



function gmap_config_form () {
	global $fields_host_edit;
	$fields_host_edit2g = $fields_host_edit;
	$fields_host_edit3g = array();
	foreach ($fields_host_edit2g as $fg => $ag) {
		$fields_host_edit3g[$fg] = $ag;
		if ($fg == 'disabled') {
			$fields_host_edit3g['gmap'] = array(
				'method' => 'checkbox',
				'friendly_name' => 'Google map - Mapa nadajnikow',
				'description' => 'Zaznacz to pole, aby nadajnik byl widziany na mapie nadajnikow.',
				'value' => '|arg1:gmap|',
				'default' => '',
				'form_id' => false
				
			);

			$fields_host_edit3g['GPSn'] = array(
				'method' => 'textbox',
				'friendly_name' => 'N - Szerokosc grograficzna',
				'description' => '<font color=red>Dla N 54.1234&#176; zapis 54.1234</font> =>',
				'value' => '|arg1:GPSn|',
				'max_length' => '255',
				'default' => ''
			);

			$fields_host_edit3g['GPSe'] = array(
				'method' => 'textbox',
				'friendly_name' => 'E - Dlugosc geograficzna',
				'description' => '<font color=red>Dla E 21.1234&#176; zapis 21.1234</font> =>',
				'value' => '|arg1:GPSe|',
				'max_length' => '255',
				'default' => ''
			);

			$fields_host_edit3g['adres'] = array(
				'method' => 'textbox',
				'friendly_name' => 'Adres',
				'description' => 'np. Bystry 10/2   lub   ul. Olsztynska 10/2',
				'value' => '|arg1:adres|',
				'max_length' => '255',
				'default' => ''
			);

			$fields_host_edit3g['miejscowosc'] = array(
				'method' => 'textbox',
				'friendly_name' => 'Miejscowosc',
				'description' => 'np. Bystry ',
				'value' => '|arg1:miejscowosc|',
				'max_length' => '255',
				'default' => ''
			);

			$fields_host_edit3g['kod'] = array(
				'method' => 'textbox',
				'friendly_name' => 'POCZTA - kod',
				'description' => 'np. 11-500',
				'value' => '|arg1:kod|',
				'max_length' => '255',
				'default' => ''
			);

			$fields_host_edit3g['kod_miejscowosc'] = array(
				'method' => 'textbox',
				'friendly_name' => 'POCZTA - miejscowosc',
				'description' => 'np. Gizycko',
				'value' => '|arg1:kod_miejscowosc|',
				'max_length' => '255',
				'default' => ''
			);

		} 
	}
	$fields_host_edit = $fields_host_edit3g;
}





function gmap_api_device_save ($save) {
	if (isset($_POST['gmap']))
		$save['gmap'] = form_input_validate($_POST['gmap'], 'gmap', '', true, 3);
	else
		$save['gmap'] = form_input_validate('', 'gmap', '', true, 3);


	if (isset($_POST['GPSn']))
		$save['GPSn'] = form_input_validate($_POST['GPSn'], 'GPSn', '', true, 3);
	else
		$save['GPSn'] = form_input_validate('', 'GPSn', '', true, 3);

	if (isset($_POST['GPSe']))
		$save['GPSe'] = form_input_validate($_POST['GPSe'], 'GPSe', '', true, 3);
	else
		$save['GPSe'] = form_input_validate('', 'GPSe', '', true, 3);



	if (isset($_POST['adres']))
		$save['adres'] = form_input_validate($_POST['adres'], 'adres', '', true, 3);
	else
		$save['adres'] = form_input_validate('', 'adres', '', true, 3);

	if (isset($_POST['miejscowosc']))
		$save['miejscowosc'] = form_input_validate($_POST['miejscowosc'], 'miejscowosc', '', true, 3);
	else
		$save['miejscowosc'] = form_input_validate('', 'miejscowosc', '', true, 3);

	if (isset($_POST['kod']))
		$save['kod'] = form_input_validate($_POST['kod'], 'kod', '', true, 3);
	else
		$save['kod'] = form_input_validate('', 'kod', '', true, 3);

	if (isset($_POST['kod_miejscowosc']))
		$save['kod_miejscowosc'] = form_input_validate($_POST['kod_miejscowosc'], 'kod_miejscowosc', '', true, 3);
	else
		$save['kod_miejscowosc'] = form_input_validate('', 'kod_miejscowosc', '', true, 3);

	return $save;
}




function gmap_draw_navigation_text ($nav) {
   $nav['gmap.php:'] = array('title' => 'Google map - Mapa nadajnikow', 'mapping' => 'index.php:', 'url' => 'gmap.php', 'level' => '1');
   $nav['linki.php:'] = array('title' => 'Google map - Linki', 'mapping' => 'index.php:', 'url' => 'linki.php', 'level' => '1');
   $nav['linki.php:edit'] = array('title' => 'Google map - Linki - add - edit', 'mapping' => 'index.php:', 'url' => 'linki.php', 'level' => '1');
   $nav['linki.php:save'] = array('title' => 'Google map - Linki - save', 'mapping' => 'index.php:', 'url' => 'linki.php', 'level' => '1');
   return $nav;
}






function gmap_config_arrays () {
	global $user_auth_realms, $user_auth_realm_filenames, $menu, $messages, $thold_menu;
	$user_auth_realms[201]='View Google map - Mapa nadajnikow';
	$user_auth_realm_filenames['gmap.php'] = 201;
	$user_auth_realm_filenames['poka-link.php'] = 201;
	$user_auth_realm_filenames['pasek-boczny.php'] = 201;
	$user_auth_realm_filenames['linki.php'] = 201;
	$user_auth_realm_filenames['ping.php'] = 201;

	$menu['Management']['plugins/gmap/linki.php'] = 'Linki';
}




?>
